/***************************************************************************/
/*                                                                         */
/*  Dc_Memory.h :  Header de gestion des ressources mmoire.               */
/*                                                                         */
/***************************************************************************/
/*  Auteur : Franois GAUTHIER  *   Cooperteam   *   Date : Septembre 2010 */
/***************************************************************************/

struct window_title
{
  HWND hWnd;
  WINDOWINFO window_info;
  
  char *title;
  char *exe_path;
  int is_selected;

  int delta_rc_window_height;    /* Dimension de la fentre */
  int delta_rc_window_width;

  int delta_rc_client_height;    /* Dimension de la zone cliente */
  int delta_rc_client_width;
  
  struct window_title *next;
};

struct file_picture
{
  char *path;
  int format;
  
  struct file_picture *next;
};


struct window_settings
{
  int top_most;

  int use_gif;

  int client_area;
  char top[256];
  char bottom[256];
  char left[256];
  char right[256];

  int keep_row;
  char row[256];
  int keep_column;
  char column[256];

  char *folder_path;          /* Chemin o enregistrer les images */
  char *file_name;            /* Prfix du nom de fichier */
  char *buffer_nb_last_file;
  int append_timedate;

  int set_auto;
  char delay[256];

  char *buffer;
  char *buffer_log;
};

struct window_main
{
  char filepath[2048];
  char picture_size[32];
  char color_depth[32];
  char session_counter[32];
  char elapsed_time[32];
};


#define MEMORY_INIT                 10
#define MEMORY_FREE                 11

#define MEMORY_SET_PARAM            20
#define MEMORY_GET_PARAM            21

#define MEMORY_ADD_WINDOWTITLE      30
#define MEMORY_GET_WINDOWTITLE_NB   31
#define MEMORY_GET_WINDOWTITLE      32
#define MEMORY_FREE_WINDOWTITLE     33
#define MEMORY_GET_ACTIVEWINDOW     34
#define MEMORY_SET_ACTIVEWINDOW     35
#define MEMORY_CLEAR_ACTIVEWINDOW   36

#define MEMORY_ADD_PICTURETITLE     40
#define MEMORY_GET_PICTURETITLE_NB  41
#define MEMORY_GET_PICTURETITLE     42
#define MEMORY_FREE_PICTURETITLE    43

#define MEMORY_SET_WINDOWSETTINGS   50
#define MEMORY_GET_WINDOWSETTINGS   51

#define MEMORY_SET_WINDOWMAIN       60
#define MEMORY_GET_WINDOWMAIN       61

#define MEMORY_SET_MARGINS          70
#define MEMORY_GET_MARGINS          71

#define MEMORY_SORT_WINDOWTITLE     80

void my_Memory(int,void *,void *);
struct window_settings *mem_alloc_windowsettings();
struct window_main *mem_alloc_windowmain();

/***************************************************************************/
